Summary:        DBus service for configuring kerberos and other online identities.
Name:           realmd
Version:        0.17.1
Release:        2%{?dist}

License:        LGPLv2+
URL:            https://gitlab.freedesktop.org/realmd/realmd
Source0:        https://gitlab.freedesktop.org/realmd/realmd/-/archive/%{version}/realmd-%{version}.tar.gz

# we can not change configure before it been created.
Patch5000:      support-opencloudos-distro.patch

BuildRequires:  make gcc automake autoconf intltool pkgconfig
BuildRequires:  python3 gettext-devel glib2-devel openldap-devel polkit-devel
BuildRequires:  krb5-devel systemd-devel libxslt xmlto samba-common-tools

Requires:       authselect polkit

%description
Realmd is an on demand system DBus service, which allows
callers to configure network authentication and domain
membership in a standard way. realmd discovers information
about the domain or realm automatically and does not require
complicated configuration in order to join a domain or realm.
realmd configures sssd or winbind to do the actual network
authentication and user account lookups.

%package devel-docs
Summary:        Developer documentation files for %{name}

%description devel-docs
The %{name}-devel package contains developer documentation for developing
applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-silent-rules

%make_build

%check
%make_build check

%install
%make_install

%find_lang realmd

%post
%systemd_post realmd.service

%preun
%systemd_preun realmd.service

%postun
%systemd_postun_with_restart realmd.service

%files -f realmd.lang
%license COPYING
%doc AUTHORS NEWS README
%{_sbindir}/realm
%dir %{_prefix}/lib/realmd
%{_libexecdir}/realmd
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.realmd.conf
%{_prefix}/lib/realmd/realmd-defaults.conf
%{_prefix}/lib/realmd/realmd-distro.conf
%{_unitdir}/realmd.service
%{_datadir}/dbus-1/system-services/org.freedesktop.realmd.service
%{_datadir}/polkit-1/actions/org.freedesktop.realmd.policy
%{_localstatedir}/cache/realmd/
%{_mandir}/man8/realm.8.gz
%{_mandir}/man5/realmd.conf.5.gz

%files devel-docs
%doc ChangeLog
%doc %{_datadir}/doc/realmd/


%changelog
* Thu Jul 20 2023 cunshunxia <cunshunxia@tencent.com> - 0.17.1-2
- Rebuilt for samba 4.18.4

* Wed Jul 12 2023 Yi Lin <nilusyi@tencent.com> - 0.17.1-1
- upgrade to 0.17.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 rockerzhu <rockerzhu@tencent.com> - 0.17.0-2
- add support to opencloudos distro

* Fri Sep 23 2022 NewStart <os@gd-linux.com> - 0.17.0-1
- Initial build
